"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _arrayFilter = require("./_arrayFilter.js");
const stubArray = require("./stubArray.js");
var objectProto = Object.prototype;
var propertyIsEnumerable = objectProto.propertyIsEnumerable;
var nativeGetSymbols = Object.getOwnPropertySymbols;
var getSymbols = !nativeGetSymbols ? stubArray.default : function(object) {
  if (object == null) {
    return [];
  }
  object = Object(object);
  return _arrayFilter.default(nativeGetSymbols(object), function(symbol) {
    return propertyIsEnumerable.call(object, symbol);
  });
};
exports.default = getSymbols;
